> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synctera.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a dispute action

> Create an action on a disputed transaction




## OpenAPI

````yaml openapi-v1.json post /disputes/{dispute_id}/actions
openapi: 3.0.3
info:
  description: >-
    This is the official reference documentation for Synctera APIs. If you need
    something specific or have a question, <a class='text-blue-600'
    href='https://synctera.com/contact-us' target='_blank'
    rel='noreferrer'>contact us</a>.</p>
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  title: Synctera API
  version: 1.181.0
servers:
  - description: Production
    url: https://api.synctera.com/v1
  - description: Sandbox (no real world financial impact)
    url: https://api-sandbox.synctera.com/v1
security:
  - bearerAuth: []
tags:
  - description: |
      Requests to create and manage Rewards
    name: Rewards (beta)
  - description: Requests to generate simulated webhooks
    name: Card Webhook Simulations
  - description: >-
      Testing endpoints to simulate in-store cash deposits. Available in sandbox
      environments only.
    name: In-Store Cash Deposit Simulations
  - description: Create and manage spending controls
    name: Spend Controls (beta)
  - description: Rates
    name: Rates
  - description: Requests to create and manage webhooks
    name: Webhooks
  - description: Tenant Config
    name: Tenant Config
  - description: FDX authentication and data transfer using Plaid Core Exchange
    name: Plaid Core Exchange (beta)
  - description: Create and manage disputes
    name: Disputes
  - description: Requests to simulate card payments
    name: Card Simulations
  - description: |
      Manage fee products and fee configs for automated fee collection
    name: Fee Products
  - description: Apple Pay APIs
    name: Apple Pay
  - description: Lending Config
    name: Lending Config
  - description: Payments related to lending accounts
    name: Payments
  - description: Manage negative balance processes
    name: Negative Balance
  - description: Configuration for mapping LoanPro events to Payola transaction parameters
    name: LoanPro Transaction Event Config
  - description: Requests to generate simulated transactions
    name: Cash Transaction Simulations (alpha)
  - description: Create and manage transactions
    name: Transactions (beta)
  - description: Autopay payment records for billing periods
    name: Autopays
  - description: Create and manage accounts
    name: Accounts
  - description: |
      Requests to create and manage batch payments
    name: Batch Payments (alpha)
  - description: Billing rates
    name: Billing Rates
  - description: Bank Delinquency Configuration
    name: Bank Delinquency Configuration
  - description: >-
      Rules that map a posted payment transaction (bank/partner + transaction
      attributes) to a regulatory payment code. NULL match columns act as
      wildcards.
    name: Payment Code Configuration
  - description: Create and manage Synctera Pay templates
    name: SyncteraPay
  - description: |
      Manage reward products and reward configs for automated cashback rewards
    name: Reward Products
  - description: Requests to create and manage card disputes
    name: Card Disputes
  - description: >-
      Per bank/partner account-type mapping to FFIEC collateral codes used for
      regulatory call report furnishment.
    name: Collateral Code Configuration
  - description: Bulk card issuance
    name: Bulk Issuance
  - description: Autopay configuration management for lending accounts
    name: Autopay Configs
  - description: Request to create and manage exclusions
    name: Statements
  - description: Create and manage barcodes for in-store cash deposits
    name: In-Store Cash Deposits
  - description: Customer Service Details for disputes and billing inquiries
    name: Customer Service Details
  - description: Create a credit application.
    name: Applications (beta)
  - description: Requests to generate simulated transactions
    name: Card Transaction Simulations
  - description: Billing period summaries
    name: Billing Period Summaries
  - description: Requests to issue and manage cards
    name: Cards
  - description: Push and pull from cards
    name: External Cards
  - description: |
      Requests to create and manage fees
    name: Fees (beta)
paths:
  /disputes/{dispute_id}/actions:
    post:
      tags:
        - Disputes
      summary: Create a dispute action
      description: |
        Create an action on a disputed transaction
      operationId: createAction
      parameters:
        - $ref: '#/components/parameters/idempotency_key'
        - $ref: '#/components/parameters/dispute_id'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/dispute_action_request'
        description: Details of the dispute action
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dispute_action_response'
          description: Successfully created dispute action
        '400':
          $ref: '#/components/responses/bad_request'
        '401':
          $ref: '#/components/responses/unauthorized'
        '403':
          $ref: '#/components/responses/forbidden'
        '422':
          $ref: '#/components/responses/unprocessable_entity'
        '500':
          $ref: '#/components/responses/internal_server_error'
components:
  parameters:
    idempotency_key:
      description: >-
        An idempotency key is an arbitrary unique value generated by client to
        detect subsequent retries of the same request. It is recommended that a
        UUID or a similar random identifier be used as an idempotency key. A
        different key must be used for each request, unless it is a retry.
      in: header
      name: Idempotency-Key
      schema:
        example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
        type: string
    dispute_id:
      in: path
      name: dispute_id
      required: true
      schema:
        $ref: '#/components/schemas/dispute_id'
  schemas:
    dispute_action_request:
      discriminator:
        mapping:
          ACH:
            $ref: '#/components/schemas/ach_dispute_action'
          CARD:
            $ref: '#/components/schemas/card_dispute_action'
          EXTERNAL_CARD:
            $ref: '#/components/schemas/external_card_dispute_action'
        propertyName: payment_rail
      oneOf:
        - $ref: '#/components/schemas/ach_dispute_action'
        - $ref: '#/components/schemas/card_dispute_action'
        - $ref: '#/components/schemas/external_card_dispute_action'
      type: object
    dispute_action_response:
      discriminator:
        mapping:
          ACH:
            $ref: '#/components/schemas/ach_dispute_action_response'
          CARD:
            $ref: '#/components/schemas/card_dispute_action_response'
          EXTERNAL_CARD:
            $ref: '#/components/schemas/external_card_dispute_action_response'
        propertyName: payment_rail
      oneOf:
        - $ref: '#/components/schemas/ach_dispute_action_response'
        - $ref: '#/components/schemas/external_card_dispute_action_response'
        - $ref: '#/components/schemas/card_dispute_action_response'
      type: object
    dispute_id:
      description: The unique identifier of the dispute
      example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
      format: uuid
      type: string
    ach_dispute_action:
      description: Create an action against a disputed ACH transaction
      properties:
        action:
          $ref: '#/components/schemas/ach_action'
        message:
          description: |
            Message text related to ACH dispute action
            * Max length for debit transactions is 38 characters
          maxLength: 100
          type: string
        payment_rail:
          $ref: '#/components/schemas/payment_rail'
        reason_code:
          $ref: '#/components/schemas/ach_dispute_reason_codes'
        return_code:
          $ref: '#/components/schemas/ach_dispute_return_codes'
        state:
          $ref: '#/components/schemas/ach_action_state'
        supporting_doc_id:
          description: The unique identifier of the supporting document
          example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
          format: uuid
          type: string
      required:
        - action
        - payment_rail
        - state
      title: ACH Action
      type: object
    card_dispute_action:
      description: Create an action against a disputed card transaction
      properties:
        action:
          $ref: '#/components/schemas/card_action'
        amount:
          description: >
            Optional amount for the action in cents. If not provided, defaults
            to the dispute amount. Amount is only applicable when creating
            actions (state: `CREATE`) and is only supported for specific action
            types (see table below); amounts provided for other action types or
            states will be ignored.


            | Action Type          | Maximum Allowed Amount                  |

            | -------------------- | --------------------------------------- |

            | `CHARGEBACK`         | Eligible chargeback amount from network |

            | `PROVISIONAL_CREDIT` | Dispute amount                          |

            | `WRITE_OFF`          | Dispute amount                          |
          format: int64
          minimum: 0
          type: integer
        memo:
          description: |
            Memo text related to card dispute action
            * Required for PRE_ARBITRATION, ARBITRATION
          maxLength: 1000
          type: string
        message:
          description: |
            Message text related to card dispute action
          maxLength: 100
          type: string
        payment_rail:
          $ref: '#/components/schemas/payment_rail'
        reason_code:
          $ref: '#/components/schemas/card_dispute_reason_codes'
        state:
          $ref: '#/components/schemas/card_action_state'
        supporting_doc_id:
          description: The unique identifier of the supporting document
          example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
          format: uuid
          type: string
        updated_reason_code_memo:
          description: |
            Memo text describing the reason for updating a reason code.
            * Required for PRE_ARBITRATION and ARBITRATION if a reason code
            is provided in the request. If no reason code is present in the
            request, the original CHARGEBACK reason code will be used.
          maxLength: 1000
          type: string
      required:
        - action
        - payment_rail
        - state
      title: Card Action
      type: object
    external_card_dispute_action:
      description: Create an action against a disputed external card transaction
      properties:
        action:
          $ref: '#/components/schemas/external_card_action'
        payment_rail:
          $ref: '#/components/schemas/payment_rail'
        state:
          $ref: '#/components/schemas/external_card_action_state'
        supporting_doc_id:
          description: |
            The unique identifier of the supporting document
            * Required for `REPRESENTMENT.CREATE`
          example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
          format: uuid
          type: string
      required:
        - action
        - payment_rail
        - state
      title: External Card Action
      type: object
    ach_dispute_action_response:
      description: Response for an ACH dispute action.
      properties:
        action:
          $ref: '#/components/schemas/ach_action'
        creation_time:
          description: The date and time the resource was created.
          example: '2010-05-06T12:23:34.321Z'
          format: date-time
          readOnly: true
          type: string
        id:
          description: The unique identifier of the dispute action
          example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
          format: uuid
          readOnly: true
          type: string
        message:
          description: Message text related to card dispute action
          maxLength: 100
          type: string
        payment_rail:
          $ref: '#/components/schemas/payment_rail'
        reason_code:
          $ref: '#/components/schemas/ach_dispute_reason_codes'
        return_code:
          $ref: '#/components/schemas/ach_dispute_return_codes'
        status:
          $ref: '#/components/schemas/ach_dispute_action_status'
        supporting_doc_id:
          description: The unique identifier of the supporting document
          example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
          format: uuid
          readOnly: true
          type: string
        tenant:
          $ref: '#/components/schemas/tenant_id'
      required:
        - action
        - creation_time
        - id
        - payment_rail
        - status
        - tenant
      title: ACH Action
      type: object
    card_dispute_action_response:
      description: Response for a card dispute action.
      properties:
        action:
          $ref: '#/components/schemas/card_action'
        amount:
          description: The amount of the action in cents.
          format: int64
          minimum: 0
          type: integer
        creation_time:
          description: The timestamp representing when the object was created
          example: '2010-05-06T12:23:34.321Z'
          format: date-time
          readOnly: true
          type: string
        external_reference_id:
          description: Reference ID associated with the action on the external network.
          type: string
        id:
          description: The unique identifier of the dispute action
          example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
          format: uuid
          readOnly: true
          type: string
        memo:
          description: |
            Memo text related to card dispute action
          maxLength: 1000
          type: string
        message:
          description: Message text related to card dispute action
          maxLength: 100
          type: string
        payment_rail:
          $ref: '#/components/schemas/payment_rail'
        reason_code:
          $ref: '#/components/schemas/card_dispute_reason_codes'
        representment_reason_code:
          $ref: '#/components/schemas/card_dispute_representment_reason_code'
        status:
          $ref: '#/components/schemas/card_dispute_action_status'
        supporting_doc_id:
          description: The unique identifier of the supporting document
          example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
          format: uuid
          readOnly: true
          type: string
        tenant:
          $ref: '#/components/schemas/tenant_id'
        updated_reason_code_memo:
          description: |
            Memo text describing the reason for updating a reason code.
          maxLength: 1000
          type: string
      required:
        - action
        - creation_time
        - id
        - payment_rail
        - status
        - tenant
      title: Card Action
      type: object
    external_card_dispute_action_response:
      description: Response for an external card dispute action.
      properties:
        action:
          $ref: '#/components/schemas/external_card_action'
        creation_time:
          description: The timestamp representing when the object was created
          example: '2010-05-06T12:23:34.321Z'
          format: date-time
          readOnly: true
          type: string
        id:
          description: The unique identifier of the dispute action
          example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
          format: uuid
          readOnly: true
          type: string
        payment_rail:
          $ref: '#/components/schemas/payment_rail'
        status:
          $ref: '#/components/schemas/external_card_dispute_action_status'
        supporting_doc_id:
          description: The unique identifier of the supporting document
          example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
          format: uuid
          readOnly: true
          type: string
        tenant:
          $ref: '#/components/schemas/tenant_id'
      required:
        - action
        - creation_time
        - id
        - payment_rail
        - status
        - tenant
      title: External Card Action
      type: object
    error:
      description: Synctera error responses in API v1 implement a custom error schema.
      properties:
        code:
          description: >
            A machine-readable string that identifies the error for programmatic
            use.
          example: BAD_REQUEST_BODY
          type: string
        detail:
          description: |
            A human-readable string explaining this particular error.
          example: 'Missing required fields: first_name, dob'
          type: string
        status:
          description: HTTP status code for this response
          example: 400
          type: integer
      title: Synctera error response
      type: object
    ach_action:
      enum:
        - ACH_RETURN
        - STOP_PAYMENT
      type: string
    payment_rail:
      description: |
        A short string representing the payment rail of the dispute.
      enum:
        - ACH
        - CARD
        - EXTERNAL_CARD
      type: string
    ach_dispute_reason_codes:
      description: >
        | Reason Code                      |
        Description                                                                                                                                                                                                                            
        |

        |----------------------------------|-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|

        | UNAUTHORIZED_TRANSACTION         | A party claims that a transaction
        was not authorized by the account
        holder                                                                                                                                                             
        |

        | INCORRECT_TRANSACTION_AMOUNT     | The amount of the ACH transaction
        does not match the agreed-upon or expected
        amount.                                                                                                                                                   
        |

        | DUPLICATE_TRANSACTION            | The same transaction is processed
        more than once, leading to duplicate
        charges.                                                                                                                                                        
        |

        | MISTIMED_WITHDRAWAL              | The timing of the transaction is
        not in accordance with the agreed-upon schedule, leading to a
        dispute.                                                                                                                                
        |

        | TRANSACTION_NOT_RECOGNIZED       | The account holder does not
        recognize the transaction, possibly due to a mistake or fraudulent
        activity                                                                                                                                
        |
      enum:
        - DUPLICATE_TRANSACTION
        - INCORRECT_TRANSACTION_AMOUNT
        - MISTIMED_WITHDRAWAL
        - TRANSACTION_NOT_RECOGNIZED
        - UNAUTHORIZED_TRANSACTION
      type: string
    ach_dispute_return_codes:
      description: >
        This field is required for dispute action ACH_RETURN. Upon successful
        dispute resolution this return code will be used when sending the
        outgoing return.
      enum:
        - R05
        - R07
        - R10
        - R29
        - R34
        - R51
      type: string
    ach_action_state:
      enum:
        - ACCEPT
        - CREATE
        - MORE_INFO_REQUIRED
        - REJECT
      type: string
    card_action:
      enum:
        - ARBITRATION
        - CHARGEBACK
        - DISPUTE
        - EVIDENCE_GATHERING
        - PRE_ARBITRATION
        - PROVISIONAL_CREDIT
        - REPRESENTMENT
        - WRITE_OFF
      type: string
    card_dispute_reason_codes:
      description: >
        * NOTE: deprecated reason codes are accepted for backwards compatibility
        but will be mapped to their active equivalent reason codes by the API.


        | Reason Code                      | Status     |
        Category                   | Mastercard Code | Documentation Required |
        Description                                                                                                                                                                                                                           
        |

        | -------------------------------- | ---------- |
        -------------------------- | --------------- | ---------------------- |
        --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
        |

        | NO_CARDHOLDER_AUTHORIZATION      | Active     |
        Fraud                      | 4837            | No                     |
        A fraudulent transaction was made without the cardholder's
        consent.                                                                                                                                                                   
        |

        | QUESTIONABLE_MERCHANT_ACTIVITY   | Active     |
        Fraud                      | 4849            | No                     |
        The merchant is suspected of being involved in fraudulent activities or
        violating Mastercard
        rules.                                                                                                                                   
        |

        | CHIP_LIABILITY_SHIFT             | Active     |
        Fraud                      | 4870            | No                     |
        A counterfeit card was used at a non-EMV-compliant terminal, and the
        merchant is held liable for the fraudulent
        transaction.                                                                                                          
        |

        | CHIP_PIN_LIABILITY_SHIFT         | Active     |
        Fraud                      | 4871            | No                     |
        A lost or stolen chip card was used without PIN verification at a
        terminal that supports PIN, resulting in merchant liability for the
        fraudulent
        transaction.                                                                         
        |

        | AUTHORIZATION_RELATED_CHARGEBACK | Active     |
        Authorization              | 4808            | No                     |
        A transaction was processed without obtaining proper
        authorization.                                                                                                                                                                   
        |

        | POINT_OF_INTERACTION_ERROR       | Active     | Point-of-Interaction
        Error | 4834            | Yes                    | Processing errors
        such as ATM withdrawal discrepancies, duplicate transactions, late
        presentments, and amount
        discrepancies.                                                                                                          
        |

        | CARDHOLDER_DISPUTE               | Active     | Cardholder
        Dispute         | 4853            | Yes                    | Claims for
        goods and services not received, counterfeit products, recurring
        transactions, incomplete transactions, hotel no-show charges, and
        more.                                                                                   
        |

        | ATM_CASH_DISPUTE                 | Deprecated |
        N/A                        | N/A             | N/A                    |
        Some or all funds debited from the cardholder's account as the result of
        an ATM withdrawal were not
        dispensed.                                                                                                                        
        |

        | CARD_LOST_STOLEN_NEVER_RECEIVED  | Deprecated |
        N/A                        | N/A             | N/A                    |
        The cardholder did not authorize the transaction and the card is no
        longer, or had never been, in the possession of the
        cardholder.                                                                                                   
        |

        | COUNTERFEIT_GOODS                | Deprecated |
        N/A                        | N/A             | N/A                    |
        The cardholder claims that the goods were purported to be genuine, but
        were
        counterfeit.                                                                                                                                              
        |

        | CREDIT_NOT_RECEIVED              | Deprecated |
        N/A                        | N/A             | N/A                    |
        The cardholder's account was not credited for a refund from a merchant
        or was inaccurately debited instead of
        credited.                                                                                                               
        |

        | DEFECTIVE_GOODS_OR_SERVICES      | Deprecated |
        N/A                        | N/A             | N/A                    |
        Goods or services were either not as described or defective, including
        shipped merchandise was received damaged or not suitable for its
        intended purpose as well as the merchant didn't honour the terms and
        conditions of a contract. |

        | DISPUTE_OF_RECURRING_TRANSACTION | Deprecated |
        N/A                        | N/A             | N/A                    |
        The cardholder notified the merchant to cancel the recurring transaction
        and the merchant continued to bill the cardholder or the cardholder was
        not aware they were agreeing to a recurring
        transaction.                              |

        | DUPLICATE_TRANSACTION            | Deprecated |
        N/A                        | N/A             | N/A                    |
        The same transaction has been processed more than once, resulting in
        duplicate
        charges.                                                                                                                                               
        |

        | FRAUDULENT_PROCESSING            | Deprecated |
        N/A                        | N/A             | N/A                    |
        The cardholder is in possession and control of all valid cards,
        processed at least one legitimate face-to-face transaction, and denies
        making one or more additional face-to-face transactions at the same
        merchant location.          |

        | GOODS_OR_SERVICES_NOT_PROVIDED   | Deprecated |
        N/A                        | N/A             | N/A                    |
        The cardholder has been debited for goods or services that were to be
        shipped, delivered or otherwise provided and were not received by the
        expected delivery
        date.                                                                   
        |

        | LATE_PRESENTMENT                 | Deprecated |
        N/A                        | N/A             | N/A                    |
        The transaction was authorized offline by the chip and submitted for
        clearing more than 7 calendar days after the transaction
        date.                                                                                                   
        |

        | PAID_BY_OTHER_MEANS              | Deprecated |
        N/A                        | N/A             | N/A                    |
        The cardholder used a different form of payment for this specific
        transaction. (Mastercard pre-compliance/compliance
        only)                                                                                                            
        |

        | TRANSACTION_AMOUNT_DIFFERS       | Deprecated |
        N/A                        | N/A             | N/A                    |
        The amount of the transaction does not match the agreed-upon or expected
        amount.                                                                                                                                                      
        |

        | TRANSACTION_DID_NOT_COMPLETE     | Deprecated |
        N/A                        | N/A             | N/A                    |
        The cardholder engaged in the transaction and claims it did not
        complete. Goods or services were not
        provided.                                                                                                                        
        |

        | TRANSACTION_NOT_RECOGNIZED       | Deprecated |
        N/A                        | N/A             | N/A                    |
        The account holder does not recognize the transaction, possibly due to
        mistake or
        fraud.                                                                                                                                              
        |

        | UNAUTHORIZED_TRANSACTION         | Deprecated |
        N/A                        | N/A             | N/A                    |
        The transaction was not authorized by the account
        holder.                                                                                                                                                                             
        |
      enum:
        - ATM_CASH_DISPUTE
        - AUTHORIZATION_RELATED_CHARGEBACK
        - CANCELED_OR_RETURNED
        - CARDHOLDER_DISPUTE
        - CARD_LOST_STOLEN_NEVER_RECEIVED
        - CHIP_LIABILITY_SHIFT
        - CHIP_PIN_LIABILITY_SHIFT
        - COUNTERFEIT_GOODS
        - CREDIT_NOT_RECEIVED
        - DEFECTIVE_GOODS_OR_SERVICES
        - DISPUTE_OF_RECURRING_TRANSACTION
        - DUPLICATE_TRANSACTION
        - FRAUD
        - FRAUDULENT_PROCESSING
        - GOODS_OR_SERVICES_NOT_PROVIDED
        - LATE_PRESENTMENT
        - NO_CARDHOLDER_AUTHORIZATION
        - PAID_BY_OTHER_MEANS
        - POINT_OF_INTERACTION_ERROR
        - QUESTIONABLE_MERCHANT_ACTIVITY
        - TRANSACTION_AMOUNT_DIFFERS
        - TRANSACTION_DID_NOT_COMPLETE
        - TRANSACTION_NOT_RECOGNIZED
        - UNAUTHORIZED_TRANSACTION
      type: string
    card_action_state:
      enum:
        - ACCEPT
        - COMPLETE
        - CREATE
        - LOST
        - NETWORK_REJECT
        - NETWORK_REJECT_REVERSAL
        - REBUT
        - REVERSE
        - WON
      type: string
    external_card_action:
      enum:
        - CHARGEBACK
        - PROVISIONAL_DEBIT
        - REPRESENTMENT
      type: string
    external_card_action_state:
      enum:
        - ACCEPT
        - CREATE
        - DECLINE
        - REVERSE
      type: string
    ach_dispute_action_status:
      description: >
        | Status    |
        Description                                                                                                
        |

        |-----------|-------------------------------------------------------------------------------------------------------------|

        | SUBMITTED | The action has been
        submitted                                                                              
        |

        | ACCEPTED  | The action has been
        accepted                                                                               
        |

        | REJECTED  | The action has been
        rejected                                                                               
        |

        | MORE_INFO_REQUIRED | The action contains a directive that more
        information is required                                  |
      enum:
        - ACCEPTED
        - MORE_INFO_REQUIRED
        - REJECTED
        - SUBMITTED
      type: string
    tenant_id:
      description: |
        The id of the tenant containing the resource.
      example: abcdef_ghijkl
      type: string
    card_dispute_representment_reason_code:
      description: >
        Reason Code                                    | Description

        -----------------------------------------------|-------------------------------------------------------------------------------------------------------------------------------------------------

        INVALID_ACQUIRER_REFERENCE_DATA                | The combination of
        primary account number and acquirer reference data on the chargeback
        does not match the information in the first presentment.

        NON_RECEIPT_OF_DOCUMENTATION                   | Required documentation
        was not received.

        DOCUMENTATION_INELIGIBLE                       | Documentation is
        ineligible to the point where it cannot be established that the
        chargeback is valid.

        DOCUMENTATION_SCANNING_ERROR                   | Documentation is a
        partial scan with missing information, or relates to another
        transaction.

        CORRECT_TRANSACTION_DATE                       | Chargeback can be
        remedied by providing the correct transaction date.

        CORRECT_MERCHANT_LOCATION                      | Chargeback can be
        remedied by providing new information in the form of a different
        merchant name or location.

        ISSUER_AUTHORIZED                              | Chargeback can be
        remedied by providing information that the transaction was properly
        authorized.

        CREDIT_PREVIOUSLY_ISSUED                       | Chargeback can be
        remedied by providing evidence that the merchant issued a credit to the
        cardholders account.

        CHARGEBACK_REMEDIED                            | Evidence to remedy the
        chargeback is included in the supporting documentation adn no other
        message code is applicable.

        DUPLICATE_CHARGEBACK                           | A first chargeback has
        already been processed for the transaction.

        PAST_CHARGEBACK_TIME_LIMIT                     | The chargeback was
        processed past the time limit allowed for chargeback.

        INVALID_DATA_RECORD_TEXT                       | Information that is
        required to appear in the Data Record and the required message text is
        missing or incomplete.

        CORRECT_MCC                                    | Chargeback can be
        remedied by showing that the MCC assigned to the merchant is different
        from the MCC appearing on the first presentment.

        AUTHORIZATION_ADVISED_SUSPICIOUS               | Transaction meets the
        requirements for a Suspicious Transaction.

        NO_AUTHORIZATION_REQUEST_REQUIRED_OR_ATTEMPTED | Transaction was below
        the applicable floor limit, and the merchant did not request an
        authorization.

        ACCOUNT_NOT_LISTED_ON_EWB                      | The account number was
        not included in the applicable Electronic Warning Bulletin as of the
        date the card was first presented to the merchant.

        INVALID_CHARGEBACK                             | The chargeback does not
        meet the prerequisites for the chargeback message reason code.

        CHIP_LIABILITY_SHIFT                           | Invoke chip liability
        shift in response and as final remedy to a first chargeback submitted
        under reason code 4837.

        CHIP_PIN_LIABILITY_SHIFT                       | Invoke chip/pin
        liability shift in response and as final remedy to a first chargeback
        submitted under reason code 4837.
      enum:
        - ACCOUNT_NOT_LISTED_ON_EWB
        - AUTHORIZATION_ADVISED_SUSPICIOUS
        - CHARGEBACK_REMEDIED
        - CHIP_LIABILITY_SHIFT
        - CHIP_PIN_LIABILITY_SHIFT
        - CORRECT_MCC
        - CORRECT_MERCHANT_LOCATION
        - CORRECT_TRANSACTION_DATE
        - CREDIT_PREVIOUSLY_ISSUED
        - DOCUMENTATION_INELIGIBLE
        - DOCUMENTATION_SCANNING_ERROR
        - DUPLICATE_CHARGEBACK
        - INVALID_ACQUIRER_REFERENCE_DATA
        - INVALID_CHARGEBACK
        - INVALID_DATA_RECORD_TEXT
        - ISSUER_AUTHORIZED
        - NON_RECEIPT_OF_DOCUMENTATION
        - NO_AUTHORIZATION_REQUEST_REQUIRED_OR_ATTEMPTED
        - PAST_CHARGEBACK_TIME_LIMIT
      type: string
    card_dispute_action_status:
      enum:
        - ACCEPTED
        - COMPLETED
        - LOST
        - NETWORK_REJECTED
        - NETWORK_REJECTED_REVERSAL
        - REBUTTED
        - REVERSED
        - SUBMITTED
        - WON
      type: string
    external_card_dispute_action_status:
      enum:
        - ACCEPTED
        - DECLINED
        - REVERSED
        - SUBMITTED
      type: string
  responses:
    bad_request:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Bad request
    unauthorized:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Unauthorized
    forbidden:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Forbidden
    unprocessable_entity:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Unprocessable entity
    internal_server_error:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Internal server error
  securitySchemes:
    bearerAuth:
      bearerFormat: api_key
      scheme: bearer
      type: http

````